components:
  schemas:
    CertificateEnrollment_CertificateEnrollment:
      $ref: http://redfish.dmtf.org/schemas/v1/CertificateEnrollment.v1_0_0.yaml#/components/schemas/CertificateEnrollment_v1_0_0_CertificateEnrollment
      description: This resource shall represent an automatic certificate enrollment
        for a Redfish implementation.
      x-longDescription: The `CertificateEnrollment` schema describes an automatic
        certificate enrollment for a specific protocol such as ACME (Automatic Certificate
        Management Environment) or SCEP (Simple Certificate Enrollment Protocol).
    CertificateEnrollment_EnrollmentProtocolType:
      enum:
      - ACME
      - SCEP
      - OEM
      type: string
      x-enumDescriptions:
        ACME: Automatic Certificate Management Environment (ACME) protocol.
        OEM: OEM enrollment protocol.
        SCEP: Simple Certificate Enrollment Protocol (SCEP).
      x-enumLongDescriptions:
        ACME: This value shall indicate the enrollment uses the Automatic Certificate
          Management Environment (ACME) protocol as defined by RFC8555.
        OEM: This value shall indicate the OEM enrollment protocol type.
        SCEP: This value shall indicate the enrollment uses the Simple Certificate
          Enrollment Protocol (SCEP) protocol as defined by RFC8894.
title: '#CertificateEnrollment.CertificateEnrollment'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
